using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WorkFlowCheck.BL.Services;
using WorkFlowCheck.BL.Services.Interfaces;

namespace WorkFlowCheck.BL.Infra
{
    public static class DIConfig
    {
        public static void DIInit(IServiceCollection service)
        {
            service.AddScoped<IUserService, UserService>();
            service.AddScoped<ISyncService, SyncService>();
            service.AddScoped<ICheckListService, CheckListService>();
            service.AddScoped<INumberGeneratorService, NumberGeneratorService>();
        }
    }
}
